Subject: bug#15888: 24.3.50; Eval-after-load eval'ed twice

From: Bastien <[email-masked]>
Date: Fri, 15 Nov 2013 07:04:02 +0100

Glenn Morris <[email-masked]> writes:

> "Sebastien Vauban" wrote:
>
>> Where is the black magic?
>
> Somewhere in the labyrinthine depths of Org, so I suggest you ask the
> Org maintainers to figure out why:
>
> emacs -Q -L /path/to/git/org-mode/lisp
> (with-eval-after-load "org"
>   (message "Eval this when Org is loaded")
>   (sit-for 3)
>   (message ""))
> (require 'org)
>
> ends up loading org twice.

I fixed this by removing any use of `org-autoload', which looked like
code smell to me.

This is in Org 8.2.3c, which I just released.

Sébastien, can you confirmed this?

-- 
 Bastien